:root {
  --gallery-height: 90vh;
  --item-width: 20vw;
  --item-height: 50vh;
  --center-width: 35vw;
  --center-height: 65vh;
  --transform-distance: 25vw;
}

@media (max-width: 1440px) {
  :root {
      --item-width: 25vw;
      --center-width: 40vw;
      --transform-distance: 30vw;
  }
}
@media (max-width: 1200px) {
  :root {
      --item-width: 25vw;
      --center-width: 40vw;
      --transform-distance: 30vw;
  }
}

@media (max-width: 768px) {
  :root {
      --gallery-height: 30vh;
      --item-width: 35vw;
      --item-height: 40vh;
      --center-width: 60vw;
      --center-height: 50vh;
      --transform-distance: 4vw;
  }
}

@media (max-width: 480px) {
  :root {
      --gallery-height: 30vh;
      --item-width: 20vw;
      --item-height: 50vh;
      --center-width: 40vw;
      --center-height: 45vh;
      --transform-distance: 35vw;
  }
}

* {
  padding: 0;
  margin: 0;
  font-family: 'Albert Sans', sans-serif;
  scroll-behavior: smooth;
  box-sizing: border-box;
}

body {
  /* background-color: #1c1c1c; */
  line-height: 1.6;
}

.movil{
  position: absolute;
  height: 100vh;
  width: 100vw;
  background: rgb(97, 96, 96);
  background: radial-gradient(circle, rgba(97, 96, 96, 1) 0%, rgba(28, 28, 28, 1) 100%);
  transition: 0.3s all ease-in-out;
  z-index: 600;
}

.activo{
  transition: all 0.3s ease-in;
  visibility: visible;
  opacity: 1;
}
.noActivo{
  visibility: hidden;
  transition: all 0.3s ease-in;
  opacity: 0;
}

.movil-menu span{
  position: relative;
  left: 40%;
  color: #fff;
}

.movil-menu{
  width: 100%;
  height: 100%;
  position: absolute;
  z-index: 650;
  text-align: center;
}

.movil-menu a{
  text-decoration: none;
  color: #fff;
  width: 0;
  height: 0;
  line-height: 2.5;
  font-size: 4.5vh;
  font-weight: 700;
  transition: 0.3s;
}

.movil-idiomas{
  display: flex;
  justify-content: space-around;
}

.movil-idiomaActivado{
  color: #000;
}

.movil-idiomas li{
  color: #fff;
  list-style: none;
  font-size: 3.5vh;
  font-weight: 600;
}


.title {
  font-size: 5vw;
  font-weight: 700;
  padding: 10px 0;
  text-align: center;
}

.gold {
  color: #cca42a;
}

.white {
  color: #fff;
}


::-webkit-scrollbar {
  display: none;
}

#whatsapp {
  position: fixed;
  width: 5%;
  bottom: 5%;
  left: 93%;
  z-index: 500;
}

.navbar {
  display: flex;
  align-items: center;
  background: #0D0D0D;
  height: 15vh;
  color: #C8C8C8;
  padding: 0 2rem;
  flex-wrap: wrap;
  font-size: 1.5vw;
  font-weight: 500;
}

/* para evitar que el usuario seleccione texto */
ul,
li,
span {
  user-select: none;
  /* Evita la selección de texto */
  -webkit-user-select: none;
  /* Para navegadores basados en WebKit (Safari, Chrome) */
  -moz-user-select: none;
  /* Para navegadores Mozilla (Firefox) */
  -ms-user-select: none;
  /* Para navegadores de Microsoft (IE, Edge) */
}

.nav-items {
  display: flex;
  list-style-type: none;
  margin: 0;
  padding: 0;
}

.nav-items a {
  text-decoration: none;
  color: #C8C8C8;
  transition: 0.3s;
}

.nav-items li {
  margin: 0 5vw 0 0;
  cursor: pointer;
}

.nav-items a:hover {
  color: #fff;
  transition: 0.3s;
}

.idioma {
  display: flex;
  border: 1px solid #C8C8C8;
  padding: 0.5rem;
  border-radius: 30px;
  transition: 0.3s;
  cursor: pointer;
  align-items: center;
}

.idioma:hover {
  border: 1px solid #ffffff;
  border-radius: 30px;
  color: #fff;
  transition: 0.3s;
}

.idiomas {
  display: flex;
  flex-direction: column;
  align-items: center;
}


#btn-espanol,
#btn-ingles,
#btn-idioma-sel {
  font-size: 1.6vw;
  font-weight: 500;
  cursor: pointer;
}

#repse_logo{
    width: 10%;
    margin-left: auto;
}

.hide {
  display: none !important;
}

.redes-sociales {
  margin-left: auto;
  margin-top: 10px;
}

.redes-sociales img {
  width: 4vw;
  margin: 0 1vw 0 0;
  transition: all 0.3s ease-in;
}

.redes-sociales img:hover {
  transition: all 0.3s ease-out;
  transform: scale(110%);
}

/* seccion del banner */
.banner {
  padding: 0;
  margin: 0;
  background: url(assets/img/imagen_industrial.webp) center / cover;
  height: 85vh;
}

.banner::before {
  content: '';
  background: radial-gradient(circle, rgba(97, 97, 97, 0.605) 0%, rgba(13, 13, 13, 1) 100%); 
  position: absolute;
  width: 100%;
  height: 85vh;
  left: 0;
}

.contenido-banner {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.contenido-banner img {
  background-color: #0d0d0dc1;
  max-width: 50%;
  position: relative;
  padding: 0 10px 10px 10px;
}

.contenido-banner h1 {
  margin: 10vh 5vw 0 5vw;
  font-size: 5vw;
  position: relative;
  line-height: 1.1;
  text-align: center;
  color: #fff;
}

/* NOSTROS SECCION */
.banner2 {
  padding: 0;
  background: url(assets/img/fondo_quienessomos.webp) no-repeat center / cover;
  height: 100vh;
}

.banner2::before {
  content: '';
  background: #474747c2;
  width: 100%;
  height: 100vh;
  position: absolute;
}

.contenido-banner2 h2 {
  position: relative;
  text-align: center;
}

.contenido-banner2 p {
  color: #fff;
  position: relative;
  padding: 0 150px;
  font-size: 2.4vw;
  line-height: 1.4;
  font-weight: 500;
}

/* SECCION VALORES */
.valores {
  height: 100vh;
  background: #A8A8A8;
}


.titulo {
  display: flex;
  justify-content: center;
  align-items: center;
}

.elemento2 {
  position: absolute;
  right: 20px;
  cursor: pointer;
}

.cards {
  height: 80vh;
  display: flex;
  justify-content: space-around;
  align-items: center;
}

.card {
  height: 70vh;
  width: 28%;
  border-radius: 30px;
  background: #0D0D0D;
  color: #fff;
  box-shadow: -15px 15px 5px rgba(0, 0, 0, 0.294);
  display: flex;
  flex-direction: column;
  justify-content: top;
  align-items: center;
  transition: max-height 0.3s ease, opacity 0.3s ease;
}

.card img {
  max-width: 15vw;
  margin: 3vw 0 1vw 0;
}

.card h3 {
  margin-bottom: 15px;
  font-size: 2.7vw;
}

.card p {
  padding: 0 2vw;
  font-size: 2.8vh;
  font-weight: 400;
}

/* SECCION PRESENCIA  */
.presencia {
  background: rgb(97, 96, 96);
  background: radial-gradient(circle, rgba(97, 96, 96, 1) 0%, rgba(28, 28, 28, 1) 100%);
  height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
}


.presencia img {
  height: 80%;
}

/* Slider Galeria    */
.gallery-container {
  display: flex;
  align-items: center;
  height: 100vh;
  background-color: #a8a8a8;
  flex-direction: column;
}

.gallery {
  display: flex;
  gap: 30px;
  position: relative;
  align-items: center;
  max-width: 1200px;
  margin-top: 0;
  padding-top: 0;
  height: var(--gallery-height);
}

.gallery-item {
  width: var(--item-width);
  height: var(--item-height);
  position: absolute;
  transform-origin: center;
  transition: all 0.8s cubic-bezier(0.25, 0.1, 0.25, 1);
  backface-visibility: hidden;
  overflow: hidden;
}

.gallery-item img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}

.gallery-item.hidden {
  opacity: 0;
  pointer-events: none;
  z-index: -1;
}

.gallery-item.left {
  transform: translateX(calc(-50% - var(--transform-distance))) scale(0.8);
  z-index: 1;
}

.gallery-item.center {
  transform: translateX(-50%) scale(1);
  width: var(--center-width);
  height: var(--center-height);
  z-index: 3;
}

.gallery-item.right {
  transform: translateX(calc(-50% + var(--transform-distance))) scale(0.8);
  z-index: 1;
}

.gallery-item:not(.center):hover {
  z-index: 2;
  transform: translateX(calc(-50% + var(--translate-x, 0px))) scale(0.85);
  transition: all 0.5s cubic-bezier(0.34, 1.56, 0.64, 1);
  cursor: pointer;
}

.gallery-item.left {
  --translate-x: calc(-1 * var(--transform-distance));
}

.gallery-item.right {
  --translate-x: var(--transform-distance);
}

/* SERVICIOS   */
.servicios {
  background: #1c1c1c;
  height: 75vh;
  user-select: none;
}

.servicios span {
  color: #cca42a;
  cursor: pointer;
}

.swiper {
  width: 100%;
  height: 65vh;
  padding: 0 2%;
}

.swiper-slide {
  text-align: center;
  display: flex;
  align-items: center;
  flex-direction: column;
  background-color: #000;
  border-radius: 10px;
  height: 50vh;
}

.swiper-slide img {
  display: block;
  width: 40%;
  height: auto;
  margin: 20px 0;
}

.swiper-slide p{
  margin: 0 15px;
  font-size: 1.8vw;
  color: #fff;
  
}

/* CONTACTO */
.contacto {
  height: 100vh;
  background: #a8a8a8;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.nosotros {
  display: flex;
  justify-content: space-around;
  width: 100%;
}

.cardNosotros {
  text-align: center;
}

.nosotros img {
  max-width: 80%;
  max-height: 80%;
}

.nosotros h3 {
  font-size: 3vw;
  font-weight: 800;
}

.number {
  display: flex;
  align-items: center;
}

.number p {
  font-size: 2.5vw;
  font-weight: 500;
}

.number img {
  max-width: 15%;
  margin: 0 20px 0 0;
}

.correo {
  display: flex;
  align-items: center;
}

.correo img {
  max-width: 9%;
  margin: 0 10px 0 0;
}

.correo p {
  font-size: 2.5vw;
  font-weight: 800;
}


/* FOOTER */

footer {
  height: auto;
  background: #1c1c1c;
  color: #fff;
}

footer strong {
  font-size: 3vw;
  text-decoration-line: underline;
  font-weight: 700;
}

.map {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-bottom: 30px;
}

iframe{
  width:700px;
   height: 400px;
}

.ubicacion{
    padding-bottom: 50px;
}

.ubicacion p {
  font-size: 2vw;
  margin: 0 0 0 50px;
}

/*Reglas de tamaño de los iconos*/
.material-icons.md-12 { font-size: 12px; }
.material-icons.md-18 { font-size: 18px; }
.material-icons.md-24 { font-size: 24px; }
.material-icons.md-36 { font-size: 36px; }
.material-icons.md-48 { font-size: 48px; }
.material-icons.md-60 { font-size: 60px; }


/* Responsive */
@media (max-width: 1440px) {
  :root {
    --item-width: 25vw;
    --center-width: 40vw;
    --transform-distance: 30vw;
}
   #repse_logo{
       width: 5%;
   }
  .contenido-banner h1{
    font-size: 5vw;
  }
    
  .presencia img {
    max-height: 75%;
  }

  .card p {
    font-size: 1.5vh;
  }

  .nosotros {
    padding: 3% 0 0 0;
  }

  .correo {
    margin: 5% 0 0 0;
  }



}

@media (max-width: 1366px) {
  .contenido-banner2 p{
    font-size: 2.4vw;
  }
  
  .card img{
    max-width: 40%;
  }

  .card h3{
    font-size: 2.5vw;
  }

  .card p{
    font-size: 2.8vh;
  }

 .nosotros img{
    max-width: 45%;
  }
  
  .number img{
    max-width: 15%;
  }
 

  footer strong {
    font-size: 2vw;
  }

  .ubicacion p {
    font-size: 1.8vw;
  }

  iframe{
    width:800px;
    height:400px;
  }
}

@media (max-width: 1280px) {
  .contenido-banner h1{
    font-size: 6vw;
  }
  .contenido-banner2 p{
    font-size: 2.8vw;
  }
  .card p{
    font-size: 2.6vh;
  }

  .correo{
    margin-top: 8vh;
  }

  iframe{
    width:900px;
    height:400px;
  }
}

@media (height: 1024px){
  .contenido-banner2 p{
    font-size: 3.5vw;
  }
  .card p{
    font-size: 2.2vh;
  }

  .nosotros h3{
    font-size: 4vw;
  }

  .nosotros p{
    font-size: 3.5vw;
  }

  .nosotros{
    margin-top: 5%;
  }

  .correo{
    margin-top: 5%;
  }
  .correo p{
    font-size: 3.5vw;
  }

  footer strong {
    font-size: 2.5vw;
  }

  .ubicacion p {
    font-size: 2.1vw;
  }

  iframe{
    width:800px;
    height:600px;
  }
}

@media (max-width: 1024px) {
  .contenido-banner h1 {
    font-size: 7vw;
  }

  .contenido-banner2 p {
    padding: 0 70px;
    font-size: 3.3vw;
  }

  .card {
    box-shadow: -10px 5px 5px rgba(0, 0, 0, 0.294);
    height: 60vh; 
  }

  .card h3 {
    font-size: 2.5vw;
    margin-bottom: 5px;
  }

  .card img {
    max-width: 50%;
  }

  .card p {
    font-size: 2.1vh;
  }

  .nosotros {
    padding: 10% 0 1% 0;
  }

  .nosotros h3{
    font-size: 4vw;
  }

  .number p{
    font-size: 3.5vw;
  }

  .nosotros img {
    width: 70%;
  }

  .correo p{
    font-size: 3.5vw;
  }

  iframe{
    width:900px;
     height:500px;
  }

  footer strong {
    font-size: 2.5vw;
  }

  .ubicacion p {
    font-size: 2vw;
  }

}

@media (max-width: 768px) {
  .title{
    font-size: 2rem;
  }

  #arrowUpValores, #arrowUpServicios{
    font-size: 36px;
  }

  #whatsapp {
    top: 90vh;
    left: 85vw;
    width: 10vw;
  }

  .navbar {
    height: 10vh;
    padding: 0 20px;
  }

  .nav-items{
    display: none;
  }

  .idioma {
    display: none;
  }

  #repse_logo{
      width: 15%;
      margin-right: 5%;
  }

  .navbar{
    align-items: center;
    justify-content: space-between;
  }

  .redes-sociales{
    margin: 0;
    width: 35%;
  }

  .redes-sociales img {
    min-width: 25%;
    height: auto;
  }

  .banner {
    height: 90vh;
  }

  .banner::before {
    height: 90vh;
  }

  .contenido-banner h1 {
    margin: 25% 25px 0 25px;
    font-weight: 800;
    font-size: 12vw;
  }

  .contenido-banner img {
    max-width: 80%;
  }

  .contenido-banner::before {
    top: 49px;
    height: 27dvh;
    width: 85%;
  }

  .contenido-banner2 p {
    font-size: 2.8vh;
    padding: 0 30px;
  }

  .cards{
    flex-wrap: wrap;
  }
  .card{
    border-radius: 30px;
    height: 43vh;
    width: 40%;
    margin: 0 0 10px 0;
  }
  .card img{
    margin: 20px 0 10px 0;
    max-width: 70%;
  }

  .card h3{
    font-size: 4vw;
  }
  .card p{
    padding: 0 15px;
    font-size: 1.3vh;
  }

  .presencia{
    height: 50dvh;
  }

  .presencia img{
    margin-top: 10px;
    max-width: 90%;
    height: auto;
  }

  .gallerys{
    height: 50vh;
  }

  .gallery-container{
    min-height: min-content;
  }

  .gallery-item img {
    padding-top: 100px;
  }

  .servicios{
    height: 45vh;
  }

  .swiper-slide{
    height: 35vh;
  }

  .swiper-slide p {
    font-size: 2.5vh;
    line-height: 1.3;
  }


  .contacto{
    height: max-content;
  }

  .nosotros{
    flex-direction: column;
    padding: 0;
    margin: 5vh 0;
  }

  .nosotros img{
    width: 18vh;
    height: auto;
  }

  .nosotros h3{
    font-size: 4vh;
  }

  .cardNosotros{
    margin: 0 0 3vh 0;
  }

  .number{
    justify-content: center;
  }

  .number img{
    max-width: 10%;
    margin: 0 5px 0 0;
  }

  .number p{
    font-size: 3vh;
  }

  .correo{
    padding: 0;
    margin: 0;
    justify-content: center;
    padding-bottom: 20px;
  }

  .correo p{
    font-size: 2.2vh;
  }


  footer{
    height: max-content;
  }

  footer strong {
    font-size: 1rem;
  }

  iframe {
    width: 300px;
    height: 250px;
  }

  .ubicacion{
    margin: 0;
    padding-bottom: 50px;
  }
  .ubicacion p {
    font-size: .9rem;
    margin:0 5vw;
  }

}


@media (max-width: 390px){
  .gallery-item img {
   padding-top: 0;
  }
  .servicios{
    height: 47vh;
  }
}